RagTime5SpreadsheetInternal::ClusterSpreadsheet Struct Reference documentation

RagTime5SpreadsheetInternal::ClusterSpreadsheet Struct Referencefinal

low level: the spreadsheet cluster data More...

Inheritance diagram for RagTime5SpreadsheetInternal::ClusterSpreadsheet:

## Public Member Functions
| ClusterSpreadsheet ()
| constructor
| ~ClusterSpreadsheet () final
| destructor
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster (Type type)
| constructor
virtual | ~Cluster ()
| destructor

## Public Attributes
RagTime5ClusterManager::Link | m_dimensionLink
| the dimension link
RagTime5ClusterManager::Link | m_valuesLink
| the list of values link
RagTime5ClusterManager::Link | m_valuesTreeLink
| the value tree link
int | m_valuesTreeRoot
| the value tree root
MWAWVec3i | m_valuesMaxPos
| the maximum values position
RagTime5ClusterManager::Link | m_graphPLCLink
| the graph PLC link
std::map< MWAWVec2i, int > | m_graphPLCNumRowByPlanesMap
| the list of row graph plc by planes
RagTime5ClusterManager::Link | m_textPLCLink
| the text PLC link
std::map< MWAWVec2i, int > | m_textPLCNumRowByPlanesMap
| the list of row text plc by planes
RagTime5ClusterManager::Link | m_borderPLCLink [2]
| the border PLC link(vertical then horizontal)
std::map< MWAWVec2i, int > | m_borderPLCNumRowByPlanesMap [2]
| the list of row border plc by planes
RagTime5ClusterManager::Link | m_blockLinks [3]
| the reference block/cell union/reference pos link
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type
int | m_zoneId
| the zone id
bool | m_hiLoEndian
| the cluster hiLo endian
librevenge::RVNGString | m_name
| the cluster name (if know)
Link | m_childLink
| the child link
Link | m_parentLink
| the parent link
Link | m_dataLink
| the main data link
NameLink | m_nameLink
| the name link
Link | m_formulaLink
| the formula cluster links (def and pos)
std::vector< Link > | m_settingLinks
| the settings links
std::vector< Link > | m_linksList
| the link list
std::vector< int > | m_clusterIdsList
| the cluster ids
bool | m_isSent
| true if the cluster was send

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern , C_FormulaDef , C_FormulaPos , C_Layout , C_Pipeline , C_Root , C_ClusterGProp , C_Sound , C_ButtonZone , C_ChartZone , C_GraphicZone , C_PictureZone , C_SpreadsheetZone , C_TextZone , C_GroupZone , C_ColorStyles , C_FormatStyles , C_GraphicStyles , C_TextStyles , C_UnitStyles , C_ClusterC , C_Empty , C_Unknown }
| the cluster type More...

## Detailed Description

low level: the spreadsheet cluster data

## Constructor & Destructor Documentation

## ◆ ClusterSpreadsheet()

RagTime5SpreadsheetInternal::ClusterSpreadsheet::ClusterSpreadsheet | ( |  | ) |
| inline

constructor

Referenced by ~ClusterSpreadsheet().

## ◆ ~ClusterSpreadsheet()

RagTime5SpreadsheetInternal::ClusterSpreadsheet::~ClusterSpreadsheet | ( |  | ) |
| final

destructor

## Member Data Documentation

## ◆ m_blockLinks

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_blockLinks[3]

the reference block/cell union/reference pos link

## ◆ m_borderPLCLink

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_borderPLCLink[2]

the border PLC link(vertical then horizontal)

## ◆ m_borderPLCNumRowByPlanesMap

std::map<MWAWVec2i, int> RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_borderPLCNumRowByPlanesMap[2]

the list of row border plc by planes

## ◆ m_dimensionLink

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_dimensionLink

the dimension link

Referenced by ClusterSpreadsheet().

## ◆ m_graphPLCLink

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_graphPLCLink

the graph PLC link

Referenced by ClusterSpreadsheet().

## ◆ m_graphPLCNumRowByPlanesMap

std::map<MWAWVec2i, int> RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_graphPLCNumRowByPlanesMap

the list of row graph plc by planes

Referenced by ClusterSpreadsheet().

## ◆ m_textPLCLink

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_textPLCLink

the text PLC link

Referenced by ClusterSpreadsheet().

## ◆ m_textPLCNumRowByPlanesMap

std::map<MWAWVec2i, int> RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_textPLCNumRowByPlanesMap

the list of row text plc by planes

Referenced by ClusterSpreadsheet().

## ◆ m_valuesLink

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_valuesLink

the list of values link

Referenced by ClusterSpreadsheet().

## ◆ m_valuesMaxPos

MWAWVec3i RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_valuesMaxPos

the maximum values position

Referenced by ClusterSpreadsheet().

## ◆ m_valuesTreeLink

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_valuesTreeLink

the value tree link

Referenced by ClusterSpreadsheet().

## ◆ m_valuesTreeRoot

int RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_valuesTreeRoot

the value tree root

Referenced by ClusterSpreadsheet().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx